# Class IfcPictureSettings

Represents the visual settings for an IFC model.

##### Index

### Constructors

constructor

### Properties

clipPlanes
color
lighting
transparency
_temp

### Methods

setClipPlane
setHighlightColor

## Constructors

### constructor

- new IfcPictureSettings(
  lighting: IFCLightingEnvironment,
  viewer: TwinfinityViewer,
  ): IfcPictureSettings

  Creates an instance of IfcVisualSettings.

  #### Parameters

  - lighting: IFCLightingEnvironment

    The lighting environment for the model.

  - viewer: TwinfinityViewer

    The TwinfinityViewer instance.

  #### Returns IfcPictureSettings

## Properties

### `Readonly` clipPlanes

clipPlanes: ClipPlanes<PropertyChangeObservable<ClipPlane>> = ...

### `Readonly` color

color: PropertyChangeObservable<IfcFragmentHsvColoringSettings> = ...

### `Readonly` lighting

lighting: IFCLightingEnvironment

The lighting environment for the model.

### `Readonly` transparency

transparency: PropertyChangeObservable<IfcTransparencySettings>

### `Static` `Readonly`_temp

_temp: { vectorA: Vector3 } = ...

## Methods

### setClipPlane

- setClipPlane(clipPlaneOptions: ClipPlaneOptions): void

  #### Parameters

  - clipPlaneOptions: ClipPlaneOptions

  #### Returns void

### setHighlightColor

- setHighlightColor(color: Color3, highlightIndex: ColoredHighlightIndexes): void

  #### Parameters

  - color: Color3
  - highlightIndex: ColoredHighlightIndexes

  #### Returns void